---
title: DOMMatrixReadOnly()
slug: Web/API/DOMMatrixReadOnly/DOMMatrixReadOnly
tags:
  - API
  - Constructor
  - Experimental
  - Geometry
  - Geometry Interfaces
  - Reference
  - matrix
---
<p>{{APIRef("Geometry Interfaces")}}{{Non-standard_header}}</p>

<p>The <strong><code>DOMMatrixReadOnly</code></strong> constructor creates a new {{domxref("DOMMatrixReadOnly")}} object which represents 4x4 matrices, suitable for 2D and 3D operations.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>domMatrixReadOnly</em> = new DOMMatrixReadOnly([<em>init</em>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt>init {{optional_inline}}</dt>
	<dd>Either a string containing a sequence of numbers or an array of integers specifying the matrix you want to create.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Geometry Interfaces','#dom-dommatrixreadonly-dommatrixreadonly','DOMMatrixReadOnly')}}</td>
			<td>{{Spec2('Geometry Interfaces')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMMatrixReadOnly.DOMMatrixReadOnly")}}</p>
